#
# spec file for package gnome-clocks
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-clocks
Version:        3.20.2
Release:        1.1
Summary:        Clock application designed for GNOME 3
License:        GPL-2.0+
Group:          Productivity/Office/Other
Url:            https://live.gnome.org/Design/Apps/Clock
Source:         http://download.gnome.org/sources/gnome-clocks/3.20/%{name}-%{version}.tar.xz
# For icont_theme_chache post and postun macros
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.40
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.23.3
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(geocode-glib-1.0) >= 0.99.4
BuildRequires:  pkgconfig(gio-2.0) >= 2.44
BuildRequires:  pkgconfig(gnome-desktop-3.0) >= 3.7.90
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gsound) >= 0.98
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.9.11
BuildRequires:  pkgconfig(gweather-3.0) >= 3.19.8
BuildRequires:  pkgconfig(libgeoclue-2.0) >= 2.3.1
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
A nice simple app to show the time, date, and alarms.

%package -n gnome-shell-search-provider-gnome-clocks
Summary:        GNOME Clocks -- Search Provider for GNOME Shell
Group:          Productivity/Office/Other
Supplements:    packageand(gnome-shell:%{name})
Requires:       %{name} = %{version}

%description -n gnome-shell-search-provider-gnome-clocks
This package contains a search provider to enable GNOME Shell to get
search results from GNOME Clocks.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file org.gnome.clocks Utility X-SuSE-TimeUtility
%find_lang %{name} %{?no_lang_C}

%post
%glib2_gsettings_schema_post
%icon_theme_cache_post
%desktop_database_post

%postun
%glib2_gsettings_schema_postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc README COPYING
%doc %{_datadir}/help/C/gnome-clocks/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.clocks.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.clocks.service
%{_datadir}/glib-2.0/schemas/org.gnome.clocks.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.clocks*
%{_datadir}/applications/org.gnome.clocks.desktop

%files -n gnome-shell-search-provider-gnome-clocks
%defattr (-, root, root)
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/org.gnome.clocks.search-provider.ini

%files lang -f %{name}.lang

%changelog
* Sat Sep  3 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Misc bugfixes.
  + Updated translations.
* Sun May  8 2016 badshah400@gmail.com
- Update to version 3.20.1 (fate#318572):
  + Rework gnome-shell search provider to be stateless.
  + Updated translations.
* Thu Apr 14 2016 mgorse@suse.com
- Update to GNOME 3.20  Fate#318572
* Sun Mar 20 2016 zaitor@opensuse.org
- Update to version 3.20.0:
  + Save and restore window size correctly with new GTK.
  + Updated translations.
* Sun Feb 21 2016 zaitor@opensuse.org
- Update to version 3.19.2:
  + Adapt to GTK changes.
  + Add HighContrast theme variant.
  + Refactor internals to use GListModel.
  + Updated translations.
* Sun Dec 20 2015 zaitor@opensuse.org
- Update to version 3.19.1:
  + Adapt to GTK changes.
  + Improve keyboard shortcuts and add overlay panel.
- Replace pkgconfig(geoclue-2.0) for pkgconfig(libgeoclue-2.0)
  BuildRequires following upstream changes.
* Mon Sep 21 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Release to sync with new GNOME release.
  + Misc bugfixes.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 3.16.2:
  + Fix redraw issue with newer GTK+.
  + Improve geolocation icon with Hi-DPI displays.
  + Updated translations.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + New HighContrast SVG icon.
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Mon Mar 16 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Misc bugfixes.
  + Updated translations.
* Thu Feb 19 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Updated translations.
* Fri Nov 28 2014 zaitor@opensuse.org
- Update to version 3.15.1:
  + Expose an add-location action to be used by GNOME Maps.
  + Use gsound library to play sounds.
  + Misc bugfixes.
  + Updated translations.
- Replace pkgconfig(libcanberra) for pkgconfig(gsound)
  BuildRequires: Following upstream.
* Mon Oct 13 2014 zaitor@opensuse.org
- Update to version 3.14.1:
  + Fix runtime warnings in the search provider.
  + Updated translations.
* Mon Sep 22 2014 zaitor@opensuse.org
- Update to version 3.14.0:
  + Fix a CSS problem in RTL mode.
* Wed Sep 17 2014 dimstar@opensuse.org
- Update to version 3.13.92:
  + Misc bugfixes.
  + Updated translations.
* Sun Sep  7 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + Bump libgweather dependency.
  + Misc bugfixes.
  + Updated translations.
* Tue Aug 19 2014 dimstar@opensuse.org
- Update to version 3.13.2:
  + Implement a gnome-shell search provider to search world clocks.
  + Sort world clocks by timezone.
  + Misc bugfixes.
  + Updated translations.
- Drop 0001-Sort-locations-by-timezone.patch: fixed upstream.
- Add new subpackage gnome-shell-search-provider-gnome-clocks.
* Wed Jul 23 2014 mgorse@suse.com
- Add 0001-Sort-locations-by-timezone.patch: sort locations by
  timezone (bnc#861982, bgo#701169).
* Tue Jul 22 2014 dimstar@opensuse.org
- Update to version 3.13.1:
  + Update to work with the new adwaita theme.
  + Rework a little the stopwatch laps table.
  + Ensure numbers in the timer do not move during transition.
  + Updated translations.
* Mon Mar 24 2014 dimstar@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Sat Mar 22 2014 zaitor@opensuse.org
- Update to version 3.11.92:
  + Misc bugfixes.
  + Updated translations.
* Tue Feb 18 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Use headerbar in dialogs.
  + Detect when trying to add a duplicate alarm.
  + Misc bugfixes.
  + Updated translations.
* Tue Nov 19 2013 dimstar@opensuse.org
- Update to version 3.11.1:
  + Port to the new GLib notification API.
  + Misc bugfixes.
  + Updated translations.
- Drop pkgconfig(libnotify) BuildRequires: no longer required.
* Mon Oct 14 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Misc bugfixes.
  + Updated translations.
* Mon Sep 23 2013 zaitor@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Tue Sep 17 2013 dimstar@opensuse.org
- Update to version 3.9.92:
  + Add geolocation support.
  + Add user manual.
  + Misc bugfixes.
  + Updated translations.
- Add yelp-tools BuildRequires: required to build the new user
  manual.
- Add pkgconfig(geoclue-2.0) andpkgconfig(geocode-glib-1.0)
  BuildRequires: new dependencies for geolocation support.
* Tue Sep  3 2013 dimstar@opensuse.org
- Update to version 3.9.91:
  + Tweak some details of the new ui.
  + Add an appdata file for gnome-software.
  + Misc bugfixes.
  + Updated translations.
- Remvoe gnome-clocks.gresource.xml source: it's now included in
  the tarball.
* Mon Aug 19 2013 dimstar@opensuse.org
- Update to version 3.9.90:
  + Add analogic progress to stopwatch and timer.
  + Rework stopwatch layout using a list box.
  + Blink when the timer is paused.
  + Fix many problems with right-to-left languages.
  + Misc bugfixes.
  + Updated translations.
- Add gnome-clocks.gresource.xml: the file was missing from the
  tarball.
* Sat Aug  3 2013 zaitor@opensuse.org
- Update to version 3.9.3:
  + Adapt to the latest GTK+ and Vala changes.
  + Misc bugfixes.
  + Updated translations.
* Sun Jun 23 2013 zaitor@opensuse.org
- Update to version 3.9.2:
  + Use latest libgweather (new search entry).
  + Misc bugfixes.
  + Updated translations.
* Sun Jun 16 2013 zaitor@opensuse.org
- Update to version 3.9.1:
  + Use client-side decorations for the window close button.
  + Reworked selection design.
  + Use latest gtk (ui templates, drop libgd).
  + Updated translations.
* Tue May 14 2013 dimstar@opensuse.org
- Update to version 3.8.2:
  + Prevent creation of world clocks for locations without timezone
    data.
  + Misc bugfixes.
  + Updated translations.
* Mon Apr 15 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Misc bugfixes.
  + Updated translations.
* Mon Mar 25 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
* Mon Mar 18 2013 dimstar@opensuse.org
- Update to version 3.7.92:
  + Rework some of the code to use latest libgd.
  + Misc bugfixes.
  + Updated translations.
* Thu Mar 14 2013 sbrabec@suse.cz
- Added support for translation-update-upstream.
* Wed Mar  6 2013 dimstar@opensuse.org
- Update to version 3.7.91:
  + Actually update the world clocks.
  + Show Stop/Snooze in the alarm notification.
  + Many small ui fixes.
* Tue Feb 19 2013 dimstar@opensuse.org
- Update to version 3.7.90:
  + Switch to GNOME version number.
  + Full rewrite in Vala.
  + Various changes to the visual design (especially World and
    Alarm).
  + Many bugfixes and improvements made possible by the rewrite.
- Replace BuildRequires to follow the rewrite from python to vala:
  + Old ones: python, pkgconfig(pycairo), pkgconfig(pygobject-3.0),
    gobject-introspection.
  + New ones: vala, pkgconfig()-style: gio-2.0, gnome-desktop-3.0,
    gtk+-3.0, gweather-3.0, libcanberra, libnotify,
    gobject-introspection-1.0.
- No longer mark the package as noarch, as it is now native code.
* Tue Feb  5 2013 dimstar@opensuse.org
- Update to version 0.1.6:
  + Reworked the alarms panel (design is still in progress).
  + Implemented disabled alarms.
  + Depend on newer GWeather.
  + Ported to Python 3.
  + Ported to autotools.
  + Move configuration to GSettings.
  + Remove pyxdg dependency.
  + Misc bugfixes.
  + Updated translations.
- Change build and install section to use configure / make install.
- Add glib schema handling to post/postun.
- Drop python-xdg Requires: no longer needed.
* Tue Dec  4 2012 dimstar@opensuse.org
- Update to version 0.1.5:
  + Reworked large parts of the code to use less CPU.
  + Depend on libgnome-desktop to use the system WallClock.
  + Show the nation beside the city.
  + Improved rendering of world clocks and alarms.
  + Misc bugfixes.
  + Updated translations.
- Add python-xdg Requires: It's imported from gnomeclocks/utils.py.
* Tue Oct 16 2012 dimstar@opensuse.org
- Update to version 0.1.4:
  + Misc bugfixes.
  + Updated translations.
* Sat Sep 29 2012 zaitor@opensuse.org
- Update to version 0.1.3:
  + Implement "laps" in the stopwatch.
  + Misc bugfixes.
  + Updated translations.
- Changes from version 0.1.2:
  + Use vertical spinbuttons for the timer setup.
  + Fix timezone offset calculation during DST.
  + Misc bugfixes.
* Mon Sep  3 2012 dimstar@opensuse.org
- Update to version 0.1.1:
  + Start week on the right day specified by the current locale.
  + Use the correct location for pixmaps by default.
  + Misc bugfixes.
  + Updated translations.
* Sun Sep  2 2012 dimstar@opensuse.org
- Initial package, version 0.1.0.
